[workspace]
resolver = "2"
members = ["crates/*"]

[workspace.package]
version = "0.2.0"
authors = ["Mysten Labs <build@mystenlabs.com>"]
edition = "2021"
license = "Apache-2.0"

[workspace.dependencies]
fastcrypto = { git = "https://github.com/MystenLabs/fastcrypto", rev = "69d496c71fb37e3d22fe85e5bbfd4256d61422b9", features = ["aes"] }
bcs = "0.1.6"
serde = "1.0.210"
serde_json = "1.0"
itertools = { version = "0.13.0" }
anyhow = "1.0"
rand = "0.8.5"
hex = "0.4"
clap = { version = "4.5.17", features = ["derive"] }
tracing = "0.1.37"
serde_with = "3.11.0"

# Sui dependencies
sui_types = { git = "https://github.com/mystenlabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "sui-types"}
mysten-service = { git = "https://github.com/mystenlabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "mysten-service" }
sui_sdk = { git = "https://github.com/mystenlabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "sui-sdk"}
shared_crypto = { git = "https://github.com/MystenLabs/sui", rev = "1f5fef23d09fb697fff9e83907c5871c08fb6c87", package = "shared-crypto" }

[profile.release]
panic = 'abort'
